GeneratedClassClassLoader.TypeHelperClassLoader (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.common.spi, class: GeneratedClassClassLoader, class: TypeHelperClassLoader

Package org.apache.cxf.common.spi

# Class GeneratedClassClassLoader.TypeHelperClassLoader

java.lang.Object
java.lang.ClassLoader
org.apache.cxf.common.spi.GeneratedClassClassLoader.TypeHelperClassLoader

Enclosing class:
  `GeneratedClassClassLoader`

public static class GeneratedClassClassLoader.TypeHelperClassLoader extends ClassLoader

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `defineClass(String name, byte[] bytes)`
  `protected Class<?>`
  `findClass(String name)`
  `Class<?>`
  `lookupDefinedClass(String name)`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### lookupDefinedClass

    public Class<?> lookupDefinedClass(String name)

  - ### findClass

    protected Class<?> findClass(String name) throws ClassNotFoundException
    Overrides:
      `findClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`

  - ### defineClass

    public Class<?> defineClass(String name, byte[] bytes)